function [Kstar] = HoopStats_KCorrection(N,P,K)
% "HoopStats_KCorrection"
% R02.00
% By Sam Berens (sam.berens@york.ac.uk).
%
% Implements the Best & Fisher (1981) correction to reduce bias in
% estimates of k when they based on fewer than 15 data points.
%
% [Kstar] = HoopStats_KCorrection(N,P,K)

NP = N*P;
if (NP < 15)
    if K < 2
        Kstar = max(K-2*(NP*K)^-1,0);
    else
        Kstar = (NP-1)^3*K/(NP^3+NP);
    end
else
    Kstar = K;
end

return