function [Pd] = HoopStats_VonmPdf(Thetas,Mu,K)
% "HoopStats_VonmPdf"
% R02.00
% By Sam Berens (sam.berens@york.ac.uk).
%
% Compute values of the von Mises probability density function ("Pd") for
% angles ("Thetas", in radians) drawn from a distribution with mean "Mu"
% and concentration "K";
%
% [Pd] = HoopStats_VonmPdf(Thetas,Mu,K)

%% Evaluate PDF:
C = 1/(2*pi*besseli(0,K));
Pd = C .* exp(K.*cos(Thetas-Mu));

return